%define upstream_name    Log-ger
%define upstream_version 0.037

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create a log($LEVEL, ...) subroutine/method
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Log::ger is yet another logging framework with the following features:

* * Separation of producers and consumers/listeners

  Like the Log::Any manpage, this offers a very easy way for modules to
  produce some logs without having to configure anything. Configuring
  output, level, etc can be done in the application as log
  consumers/listeners. To read more about this, see the documentation of
  the Log::Any manpage or the Log::ger::Manual manpage (but nevertheless
  see the Log::ger::Manual manpage on why you might prefer Log::ger to
  Log::Any).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Mar 12 2020 tv <tv> 0.37.0-1.mga8
+ Revision: 1555686
- update to 0.037

* Mon Mar 09 2020 tv <tv> 0.33.0-1.mga8
+ Revision: 1555076
- update to 0.033

* Thu Mar 05 2020 tv <tv> 0.31.0-1.mga8
+ Revision: 1553949
- update to 0.031

* Thu Feb 20 2020 tv <tv> 0.29.0-1.mga8
+ Revision: 1545152
- update to 0.029

* Sat Feb 15 2020 umeabot <umeabot> 0.28.0-2.mga8
+ Revision: 1526777
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.28.0-1.mga8
+ Revision: 1415597
- update to 0.028

* Sat Apr 13 2019 tv <tv> 0.27.0-1.mga7
+ Revision: 1389600
- update to 0.027

* Fri Dec 21 2018 tv <tv> 0.25.0-1.mga7
+ Revision: 1344113
- update to 0.025

* Mon Dec 03 2018 shlomif <shlomif> 0.23.0-1.mga7
+ Revision: 1338084
- imported package perl-Log-ger

